%global eclipse_ver 4.23
%global bundle_ver 3.29.0
%global jar_ver %{eclipse_ver}
%global drop R-%{jar_ver}-202203080310

Summary:      Eclipse Compiler for Java
Name:         ecj
Version:      %{eclipse_ver}
Release:      6%{?dist}
License:      EPL-2.0
URL:          https://www.eclipse.org
Source0:      https://download.eclipse.org/eclipse/downloads/drops4/%{drop}/ecjsrc-%{jar_ver}.jar
Source2:      MANIFEST.MF
Source3:      ecj
Patch3000:    0001-Always-generate-bytecode-debuginfo.patch
BuildRequires:ant java-devel
Requires:     java-headless
Requires:     javapackages-filesystem
BuildArch:    noarch
ExclusiveArch:%{java_arches} noarch

%description
ECJ is the Java bytecode compiler of the Eclipse Platform.
It is also known as the JDT Core batch compiler.



%prep
%autosetup -c -n %{name}-%{eclipse_ver} -p1
sed -i -e '/compilerarg/s/Xlint:none/Xlint:none -encoding cp1252/' build.xml
mkdir -p scripts/binary/META-INF/
cp %{SOURCE2} scripts/binary/META-INF/MANIFEST.MF



%build
export JAVA_HOME=/usr/lib/jvm/java
ant



%install
mkdir -p %{buildroot}%{_bindir}
cp %{SOURCE3} %{buildroot}%{_bindir}
chmod +x %{buildroot}%{_bindir}/ecj

mkdir -p %{buildroot}%{_datadir}/java/ecj/
cp ecj.jar %{buildroot}%{_datadir}/java/ecj/

mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 -p ecj.1 %{buildroot}%{_mandir}/man1/ecj.1



%files
%license about.html
%{_bindir}/ecj
%{_datadir}/java/ecj/ecj.jar
%{_mandir}/man1/ecj*



%changelog
* Tue Jan 21 2025 Zhao Zhen <jeremiazhao@tencent.com> - 4.23-6
- remove maven macro

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.23-5
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.23-4
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.23-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.23-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 24 2023 Miaojun Dong <zoedong@tencent.com> - 4.23-1
- initial build
